<?php
/**
 * The Sidebar containing the main widget area.
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */

$options = twentyeleven_get_theme_options();
$current_layout = $options['theme_layout'];

if ( 'content' != $current_layout ) :
?>
		<div id="secondary" class="widget-area" role="complementary">
		
			
		
			<div id="sidebar">
				<div id="social">
					<?php dynamic_sidebar('social'); //ウィジェットを表示 ?>
				<!-- #social end --></div>
				<div id="site_entry">
				
					<h3 id="sidebar_news"><img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/secondary/secondary_news_title.gif" alt="WordVolcanoからおしらせのタイトル画像" title="WordVolcanoからおしらせ" /></h3>
				<aside>
					<div class="side_contents">
					<?php $posts = get_posts('numberposts=5'); foreach($posts as $post) : setup_postdata($post); //新着最新5件を表示 ?>
						<div class="topics_box clearfix normal">
						    <div class="entry-meta">
						    	<span><?php the_time( 'Y.m.d' ); ?></span>
						    </div><!-- .entry-meta -->
						    
						    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
						    
						<!-- .topics_box end --></div>
					<?php endforeach; ?>
					
					<?php dynamic_sidebar( 'sidebar-1' ); ?>
					
				</aside>

				<!-- .side_contents end --></div>
				
				<div id="twitter_widget">
					<h3><img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/secondary/wv-icon.gif" alt="WordVolcano公式Twitterアカウント「wvkago」のアイコン画像" title="WordVolcano公式Twitterアカウント「wvkago」アイコン" /></h3>
					<?php dynamic_sidebar('wvkago'); //ウィジェットを表示 ?>
				<!-- #twitter_widget --></div>
				
				
			<!-- #sidebar --></div>
			<?php dynamic_sidebar('join_banner'); //ウィジェットを表示 ?>
		</div><!-- #secondary .widget-area -->
<?php endif; ?>