<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Twenty_Eleven
 * @since Twenty Eleven 1.0
 */

get_header(); ?>

		<div id="primary">
			<div id="content" role="main">
			
			<?php if( $is_iphone ) : ?>
				<div id="iphone_bread">
        			<?php dimox_breadcrumbs(); ?>
        		<!-- #iphone_bread end --></div>
			<?php else : ?>
				<div id="bread">
					<?php dimox_breadcrumbs(); ?>
				<!-- #bread end --></div>
			<?php endif; ?>

				<?php while ( have_posts() ) : the_post(); ?>

					
						<!--<h3 class="assistive-text"><?php _e( 'Post navigation', 'twentyeleven' ); ?></h3>-->

					<?php get_template_part( 'content', 'single' ); ?>

					<?php comments_template( '', true ); ?>

				<?php endwhile; // end of the loop. ?>
				
				<nav id="nav-single">

					<span class="nav-previous"><?php previous_post_link( '%link', __( '<span class="meta-nav">&larr;</span> Previous', 'twentyeleven' ) ); ?></span>
					<span class="nav-next"><?php next_post_link( '%link', __( 'Next <span class="meta-nav">&rarr;</span>', 'twentyeleven' ) ); ?></span>
					</nav><!-- #nav-single -->

			</div><!-- #content -->
		</div><!-- #primary -->
		
<?php get_sidebar(); ?>
<?php get_footer(); ?>